<?php

/**
 * Completed Quizzes Controller
 *
 * @link 		https://entusiastics.com
 * @since 		1.0.0
 *
 * @package 	Entusiastics_Quiz_Game
 * @subpackage 	Entusiastics_Quiz_Game/admin/controllers
 */

if( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class CompletedController {

	static function manage() {
		
		$action = filter_input(INPUT_GET, 'action');

		if(empty($action)){
			return false;
		}

		switch($action) {
			case 'index':
			self::index();
			break;
			case 'delete': 
			self::delete();
			break;
			default:
			self::index();
			break;
		}

	} // end manage

	static function index() {

		$completion_id = filter_input(INPUT_GET, 'id');

		$args = [
			'completed' => [],
			'user_answers' => [],
			'results' => [],
			'results_positive' => [],
			'results_negative' => [],
			'results_no_profile' => []
		];

		$_completed = new Completed();
		$_user_answer = new UserAnswer();
		$_quiz = new Quiz();
		$_question = new Question();
		$_choice = new Choice();
		$_profile = new Profile();

		$args['completed'] = $_completed->getCompletedById($completion_id);

		$args['quiz'] = $_quiz->getQuizById($args['completed']->quiz_id);

		$args['user_answers'] = $_user_answer->getUserAnswerByCompletionId($completion_id);

		foreach ($args['user_answers'] as $key => $item) {

			$args['results'][$key]['quiz'] = $_quiz->getQuizById($item->quiz_id);
			$args['results'][$key]['question']=  $_question->getQuestionById(intval($item->question_id));

			if($args['results'][$key]['question']->qtype == 'checkbox') {
				$args['results'][$key]['answers'] = $_choice->getMultipleAnswerById($item->answer);
				$args['results'][$key]['profile'] = [];
				$args['results'][$key]['answer'] = [];
			} else {
				$args['results'][$key]['profile']=  $_profile->getProfileById(intval($item->profile_id));
				$args['results'][$key]['answer'] =  $_choice->getAnswerById(intval($item->answer));
			}
		}

		$args['results_positive'] = [];
		$args['results_negative'] = [];
		$args['results_no_profile'] = [];

		$args['connotation_positive'] = [];
		$args['connotation_negative'] = [];
		$args['connotation_no_profile'] = [];

		foreach ($args['results'] as $key => $result) {

			if($result['question']->qtype == 'checkbox') {

				foreach ($result['answers'] as $choice) {

					$profile = $_profile->getProfileById($choice->profile_id);

					if($profile->connotation == '1') {

						$result['profile'] = $profile;
						$result['answer'] = $choice;
						$args['results_positive'][$key] = $result;
						$args['profile_positive'] = $profile;
						

					} elseif($profile->connotation == '0') {

						$result['profile'] = $profile;
						$result['results']['answer'][$key] = $choice;
						$args['results_negative'][$key] = $result;
						
					} else {

						$result['profile'] = $profile;
						$result['answer'] = $choice;
						$args['results_no_profile'][$key] = $result;
					}
				}	

			} else {

				if($result['profile']->connotation == '1') {

					$args['results_positive'][$key] = $result;
					$args['profile_positive'] = $result['profile'];

				} elseif($result['profile']->connotation == '0') {

					$args['results_negative'][$key] = $result;
					$args['profile_negative'] = $result['profile'];

				} else {

					$args['results_no_profile'][$key] = $result;
					$args['profile_no_profile'] = $result['profile'];

				}

			}

		}

		$completed_list_table = new CompletedTableController();

		$completed_list_table->prepare_items();

		include(ENTUSIASTICS_QUIZ_GAME_PLUGIN_PATH."admin/partials/entusiastics-quiz-game-completed.php");

	}

	public function delete() {
		$completion_id = filter_input(INPUT_GET, 'id');

		$this->remove($completion_id);
	}

	public function remove($completion_id) {
	}
}