<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://entusiastics.com
 * @since      1.0.0
 *
 * @package    Entusiastics_Quiz_Game
 * @subpackage Entusiastics_Quiz_Game/admin/partials
 */


?>

<div class="wrap">

	<h1 class="wp-heading-inline">
		<?php _e('Listado de Categorías de los Quizzes', 'entusiastics-quiz-game')?>
	</h1>

	<hr class="wp-header-end">

	<div id="col-container" class="wp-clearfix">

		<div id="col-left">

			<div class="col-wrap">

				<div class="form-wrap">

					<h2><?php _e('Añadir una nueva categoría', 'entusiastics-quiz-game') ?></h2>

					<form id="add_category" method="post" action="admin.php?page=entusiastics-quiz-game-category&action=add" onsubmit="return validateentusiasticsQuizGameType(this);" class="validate">

						<div class="form-field form-required term-name-wrap">
							<label for="name"><?php _e('Nombre', 'entusiastics-quiz-game') ?></label>
							<input name="name" id="name" type="text" value="" size="40" aria-required="true" />
							<p><?php _e('El nombre es cómo aparecerá en tu sitio.', 'entusiastics-quiz-game') ?></p>
						</div>

						<div class="form-field term-description-wrap">
							<label for="category_description"><?php _e('Descripción', 'entusiastics-quiz-game') ?></label>
							<textarea name="category_description" rows="5" cols="40"></textarea>
						</div>

						<p class="submit">

							<input type="hidden" name="ok" value="1" />
							<input type="submit" name="add" class="button button-primary" value="<?php _e('Añadir una nueva categoría', 'entusiastics-quiz-game') ?>" />
							<span class="spinner"></span>

						</p>

					</form>
				</div>
			</div>
		</div>

		<div id="col-right">

			<div class="col-wrap">
				<form method="post">
					<input type="hidden" id="message_delete" value="<?php _e('Estas seguro?', 'entusiastics-quiz-game')?>" />
					<input type="hidden" name="page" value="categories_list_table" />
					<?php

					$categories_list_table->search_box( __('Buscar', 'entusiastics-quiz-game'), 'search_id' );

					$categories_list_table->display(); 

					?>
				</form>

				<div class="form-wrap edit-term-notes">

					<p>
						<?php _e('Al eliminar una categoría no se eliminan las entradas de esa categoría. En su lugar, las entradas que solo se asignaron a la categoría borrada, se asignan a la categoría por defecto <strong>Sin categorizar</strong>. La categoría por defecto no se puede borrar.', 'entusiastics-quiz-game') ?>
					</p>

				</div>

			</div>

		</div>

	</div>

	<div id="#title_notice" class="notice" style="display: none;">
		<p><?php _e('Por favor introduce un nombre para la categoría.','entusiastics-quiz-game') ?></p>
	</div>

	<?php if(!empty($copy_msg)) {
		echo '<p>Copiado con éxito</p>';
	} ?>

</div>

<script type="text/javascript">

	function validateentusiasticsQuizGameType(frm) {

		if(frm.name.value == '') {
			$('#title_notice').css('display', 'block')
			frm.name.focus();
			return false;
		}

		return true;
	}

</script>